const label = '代码编辑框';
const name = 'CodeBox';
let i = 1;
const uniqueId = () => `code-box-${i++}`;

export const codeBoxRule = {
	// 插入菜单位置
	menu: 'aide',
	// 图标
	icon: 'fc-icon-code ',
	// 名称
	label: label,
	// id，唯一!
	name: name,
	// 是否可以操作
	mask: true,
	// 定义组件的事件
	event: [
		'load',
		'abort',
		'click',
		'dblclick',
		'focus',
		'blur',
		'keyup',
		'keydown',
		'keypress',
		'mousedown',
		'mousemove',
		'mouseover',
		'mouseout',
		'mouseup',
		'change'
	],
	// 定义组件的渲染规则
	rule() {
		return {
			type: name,
			field: uniqueId(),
			title: label,
			info: '',
			effect: {
				fetch: '',
			},
			props: {
				placeholder: '',
				code: "",
			},
		};
	},

	// 自定义组件的属性配置
	props() {
		return [
			{
				type: 'Input',
				title: '占位提示文本',
				field: 'placeholder',
				value: 'Code goes here...',
			},
			{
				type: 'input',
				field: 'formCreateChild',
				title: '代码数据',
				field: 'code',
				props: {
					type: 'textarea',
				},
				value: 'function main() { console.log("Hello World!"); }',
			},

		];
	},
};
